from django import template
from django.conf import settings
from dbsettings.views import getValue
from ledger.models import Payment

register = template.Library()

@register.simple_tag
def project_name():
    return settings.PROJECT_NAME

@register.inclusion_tag("frontend/unpaid.html")
def unpaid():
    items = Payment.objects.filter(repayment=None) # pylint: disable=E1101
    total = 0
    for item in items:
        total += item.amount
    return {"items": items, "total": total}
     