"""susioma URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/2.2/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import include, path
from frontend.views import IndexView, SMSAuthView, CardView, UnavailableView

urlpatterns = [
    path('', IndexView.as_view(), name="index"),
    path('smsauth/', SMSAuthView.as_view(), name="smsauth"),
    path('smsauth/<int:id>/', SMSAuthView.as_view(), name="resmsauth"),
    path('card/<slug:uuid>/', CardView.as_view(), name="card"),
    path('unavailable/', UnavailableView.as_view(), name="unavailable")
]